curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/company?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{ "company_name": "Acme Corp" },
{ "company_name": "Tech Inc" }
]
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
Smart Prospect
Company API
List companies for the authenticated user - GET /company
GET
/
api
/
v1
/
search-email-leads
/
company
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/company?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{ "company_name": "Acme Corp" },
{ "company_name": "Tech Inc" }
]
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
This endpoint requires authentication via API key passed as a query parameter (
api_key).Query Parameters
string
required
Your SmartLead API key for authentication
string
Number of companies to return (optional). Default: 100.
string
Number of companies to skip for pagination (optional). Default: 0.
string
Search string to filter companies by name (optional).
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/company?api_key=YOUR_API_KEY"
Response Codes
Success
Request successful
Unauthorized
Unauthorized
Internal Server Error
Internal Server Error
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{ "company_name": "Acme Corp" },
{ "company_name": "Tech Inc" }
]
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
